head	1.2;
access;
symbols
	netbsd-7-2-RELEASE:1.1.1.3
	netbsd-7-1-2-RELEASE:1.1.1.3
	netbsd-7-1-1-RELEASE:1.1.1.3
	netbsd-7-1:1.1.1.3.0.28
	netbsd-7-1-RELEASE:1.1.1.3
	netbsd-7-1-RC2:1.1.1.3
	netbsd-7-1-RC1:1.1.1.3
	netbsd-7-0-2-RELEASE:1.1.1.3
	netbsd-7-0-1-RELEASE:1.1.1.3
	netbsd-7-0:1.1.1.3.0.26
	netbsd-7-0-RELEASE:1.1.1.3
	netbsd-7-0-RC3:1.1.1.3
	netbsd-7-0-RC2:1.1.1.3
	netbsd-7-0-RC1:1.1.1.3
	netbsd-5-2-3-RELEASE:1.1.1.3
	netbsd-5-1-5-RELEASE:1.1.1.3
	netbsd-6-0-6-RELEASE:1.1.1.3
	netbsd-6-1-5-RELEASE:1.1.1.3
	netbsd-7:1.1.1.3.0.24
	netbsd-7-base:1.1.1.3
	netbsd-6-1-4-RELEASE:1.1.1.3
	netbsd-6-0-5-RELEASE:1.1.1.3
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.1.1.3
	riastradh-drm2:1.1.1.3.0.22
	riastradh-drm2-base:1.1.1.3
	netbsd-6-1-3-RELEASE:1.1.1.3
	netbsd-6-0-4-RELEASE:1.1.1.3
	netbsd-5-2-2-RELEASE:1.1.1.3
	netbsd-5-1-4-RELEASE:1.1.1.3
	netbsd-6-1-2-RELEASE:1.1.1.3
	netbsd-6-0-3-RELEASE:1.1.1.3
	netbsd-5-2-1-RELEASE:1.1.1.3
	netbsd-5-1-3-RELEASE:1.1.1.3
	netbsd-6-1-1-RELEASE:1.1.1.3
	netbsd-6-1:1.1.1.3.0.20
	netbsd-6-0-2-RELEASE:1.1.1.3
	netbsd-6-1-RELEASE:1.1.1.3
	netbsd-6-1-RC4:1.1.1.3
	netbsd-6-1-RC3:1.1.1.3
	netbsd-6-1-RC2:1.1.1.3
	netbsd-6-1-RC1:1.1.1.3
	netbsd-5-2:1.1.1.3.0.18
	netbsd-6-0-1-RELEASE:1.1.1.3
	netbsd-5-2-RELEASE:1.1.1.3
	netbsd-5-2-RC1:1.1.1.3
	netbsd-6-0:1.1.1.3.0.16
	netbsd-6-0-RELEASE:1.1.1.3
	netbsd-6-0-RC2:1.1.1.3
	netbsd-6-0-RC1:1.1.1.3
	netbsd-6:1.1.1.3.0.14
	netbsd-6-base:1.1.1.3
	netbsd-5-1-2-RELEASE:1.1.1.3
	netbsd-5-1-1-RELEASE:1.1.1.3
	netbsd-5-1:1.1.1.3.0.12
	netbsd-5-1-RELEASE:1.1.1.3
	netbsd-5-1-RC4:1.1.1.3
	netbsd-5-1-RC3:1.1.1.3
	netbsd-5-1-RC2:1.1.1.3
	netbsd-5-1-RC1:1.1.1.3
	netbsd-5-0-2-RELEASE:1.1.1.3
	netbsd-5-0-1-RELEASE:1.1.1.3
	netbsd-5-0:1.1.1.3.0.10
	netbsd-5-0-RELEASE:1.1.1.3
	netbsd-5-0-RC4:1.1.1.3
	netbsd-5-0-RC3:1.1.1.3
	netbsd-5-0-RC2:1.1.1.3
	netbsd-5-0-RC1:1.1.1.3
	netbsd-5:1.1.1.3.0.8
	netbsd-5-base:1.1.1.3
	netbsd-4-0-1-RELEASE:1.1.1.3
	netbsd-4-0:1.1.1.3.0.6
	netbsd-4-0-RELEASE:1.1.1.3
	netbsd-4-0-RC5:1.1.1.3
	netbsd-4-0-RC4:1.1.1.3
	netbsd-4-0-RC3:1.1.1.3
	netbsd-4-0-RC2:1.1.1.3
	netbsd-4-0-RC1:1.1.1.3
	netbsd-3-1-1-RELEASE:1.1.1.2.6.1
	netbsd-3-0-3-RELEASE:1.1.1.2.6.1
	abandoned-netbsd-4-base:1.1.1.3
	abandoned-netbsd-4:1.1.1.3.0.2
	netbsd-3-1:1.1.1.2.6.1.0.4
	netbsd-3-1-RELEASE:1.1.1.2.6.1
	netbsd-3-0-2-RELEASE:1.1.1.2.6.1
	netbsd-3-1-RC4:1.1.1.2.6.1
	netbsd-3-1-RC3:1.1.1.2.6.1
	netbsd-3-1-RC2:1.1.1.2.6.1
	netbsd-3-1-RC1:1.1.1.2.6.1
	netbsd-4:1.1.1.3.0.4
	netbsd-4-base:1.1.1.3
	netbsd-3-0-1-RELEASE:1.1.1.2.6.1
	netbsd-3-0:1.1.1.2.6.1.0.2
	netbsd-3-0-RELEASE:1.1.1.2.6.1
	netbsd-3-0-RC6:1.1.1.2.6.1
	netbsd-3-0-RC5:1.1.1.2.6.1
	netbsd-3-0-RC4:1.1.1.2.6.1
	netbsd-3-0-RC3:1.1.1.2.6.1
	netbsd-3-0-RC2:1.1.1.2.6.1
	netbsd-3-0-RC1:1.1.1.2.6.1
	netbsd-2-0-3-RELEASE:1.1.1.2
	netbsd-2-1:1.1.1.2.0.8
	netbsd-2-1-RELEASE:1.1.1.2
	netbsd-2-1-RC6:1.1.1.2
	netbsd-2-1-RC5:1.1.1.2
	netbsd-2-1-RC4:1.1.1.2
	netbsd-2-1-RC3:1.1.1.2
	netbsd-2-1-RC2:1.1.1.2
	netbsd-2-1-RC1:1.1.1.2
	netbsd-2-0-2-RELEASE:1.1.1.2
	v4-5-0:1.1.1.3
	v4-5-0_beforeimport:1.1.1.2
	netbsd-3:1.1.1.2.0.6
	netbsd-3-base:1.1.1.2
	netbsd-2-0-1-RELEASE:1.1.1.2
	netbsd-2:1.1.1.2.0.4
	netbsd-2-base:1.1.1.2
	netbsd-2-0-RELEASE:1.1.1.2
	netbsd-2-0-RC5:1.1.1.2
	netbsd-2-0-RC4:1.1.1.2
	netbsd-2-0-RC3:1.1.1.2
	netbsd-2-0-RC2:1.1.1.2
	netbsd-2-0-RC1:1.1.1.2
	netbsd-2-0:1.1.1.2.0.2
	netbsd-2-0-base:1.1.1.2
	v4-4-0:1.1.1.2
	v4-4-0_beforeimport:1.1.1.1
	netbsd-1-6-PATCH002-RELEASE:1.1.1.1
	netbsd-1-6-PATCH002:1.1.1.1
	netbsd-1-6-PATCH002-RC4:1.1.1.1
	v4-3-0-2003-12-19:1.1.1.1
	netbsd-1-6-PATCH002-RC3:1.1.1.1
	netbsd-1-6-PATCH002-RC2:1.1.1.1
	netbsd-1-6-PATCH002-RC1:1.1.1.1
	netbsd-1-6:1.1.1.1.0.2
	netbsd-1-6-base:1.1.1.1
	v4-3-0:1.1.1.1
	XF86:1.1.1;
locks; strict;
comment	@# @;


1.2
date	2015.07.23.08.12.49;	author mrg;	state dead;
branches;
next	1.1;
commitid	3Fk7MoycOv7VSnuy;

1.1
date	2003.02.28.13.19.13;	author tron;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2003.02.28.13.19.13;	author tron;	state Exp;
branches;
next	1.1.1.2;

1.1.1.2
date	2004.03.05.14.26.19;	author tron;	state Exp;
branches
	1.1.1.2.6.1;
next	1.1.1.3;

1.1.1.3
date	2005.03.18.13.07.19;	author tron;	state Exp;
branches;
next	;

1.1.1.2.6.1
date	2005.04.06.19.59.56;	author tron;	state Exp;
branches;
next	;


desc
@@


1.2
log
@remove obsolete XFree86 sources.
@
text
@#!/bin/sh
#
# Call the 'configure' script located in 'builds/unix'.
#
# This should re-generate the following files:
#
#   config.mk
#   Jamfile
#   install
#

if test "x$GNUMAKE" = x; then
  GNUMAKE=make
fi

if test -z "`$GNUMAKE -v 2>/dev/null | grep GNU`"; then
  echo "Sorry, GNU make is required to build FreeType2." >&2
  echo "Please try \`GNUMAKE=<GNU make command name> $0'." >&2
  exit 1
fi

# Uh, oh.  This is taken from autoconf.  They know what they are doing...

if expr a : '\(a\)' >/dev/null 2>&1; then
  ft_expr=expr
else
  ft_expr=false
fi

ft2_dir=`(dirname "$0") 2>/dev/null ||
$ft_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$0" : 'X\(//\)[^/]' \| \
         X"$0" : 'X\(//\)$' \| \
         X"$0" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$0" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
         /^X\(\/\/\)$/{ s//\1/; q; }
         /^X\(\/\).*/{ s//\1/; q; }
         s/.*/./; q'`

abs_curr_dir=`pwd`
abs_ft2_dir=`cd "$ft2_dir" && pwd`

# build a dummy Makefile if we are not building in the source tree

if test "$abs_curr_dir" != "$abs_ft2_dir"; then
  echo "OBJ_DIR=$abs_curr_dir"          > Makefile
  echo "TOP=$abs_ft2_dir"              >> Makefile
  echo "OBJ_BUILD=$abs_curr_dir"       >> Makefile
  echo "LIBTOOL=$abs_curr_dir/libtool" >> Makefile
  echo "include $abs_ft2_dir/Makefile" >> Makefile
fi

# call make

CFG="$@@" $GNUMAKE setup unix

# eof
@


1.1
log
@Initial revision
@
text
@@


1.1.1.1
log
@Import of XFree86 4.3.0.
@
text
@@


1.1.1.2
log
@Import of XFree86 4.4.0.
@
text
@d50 1
a50 1
  echo "TOP_DIR=$abs_ft2_dir"          >> Makefile
@


1.1.1.2.6.1
log
@Apply patch (requested by jmc in ticket #114):
Update XFree86 to version 4.5.0.
@
text
@d8 1
d17 3
a19 8
  if test -z "`$GNUMAKE -v 2>/dev/null | grep makepp`"; then
    echo "GNU make (>= 3.79.1) or makepp (>= 1.19) is required to build FreeType2." >&2
    echo "Please try" >&2
    echo "  \`GNUMAKE=<GNU make command name> $0'." >&2
    echo "or >&2"
    echo "  \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2
    exit 1
  fi
d49 5
a53 7
  mkdir reference
  echo "TOP_DIR=$abs_ft2_dir"             > Makefile
  echo "OBJ_DIR=$abs_curr_dir"           >> Makefile
  echo "OBJ_BUILD=$abs_curr_dir"         >> Makefile
  echo "DOC_DIR=$abs_curr_dir/reference" >> Makefile
  echo "LIBTOOL=$abs_curr_dir/libtool"   >> Makefile
  echo "include $abs_ft2_dir/Makefile"   >> Makefile
@


1.1.1.3
log
@Import of XFree86 4.5.0.
@
text
@d8 1
d17 3
a19 8
  if test -z "`$GNUMAKE -v 2>/dev/null | grep makepp`"; then
    echo "GNU make (>= 3.79.1) or makepp (>= 1.19) is required to build FreeType2." >&2
    echo "Please try" >&2
    echo "  \`GNUMAKE=<GNU make command name> $0'." >&2
    echo "or >&2"
    echo "  \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2
    exit 1
  fi
d49 5
a53 7
  mkdir reference
  echo "TOP_DIR=$abs_ft2_dir"             > Makefile
  echo "OBJ_DIR=$abs_curr_dir"           >> Makefile
  echo "OBJ_BUILD=$abs_curr_dir"         >> Makefile
  echo "DOC_DIR=$abs_curr_dir/reference" >> Makefile
  echo "LIBTOOL=$abs_curr_dir/libtool"   >> Makefile
  echo "include $abs_ft2_dir/Makefile"   >> Makefile
@


